local FarCtags = {}

function FarCtags.ID()
  return "70B2D306-BD67-40EB-AEA1-1CF82502C3E2"
end

function FarCtags.Installed()
  return Plugin.Exist(FarCtags.ID())
end

function FarCtags.Execute()
  return Plugin.Call(FarCtags.ID(), "execute")
end

Macro
{
  description = "FarCtags - execute the plugin";
  area = "Editor";
  key = "CtrlG";
  condition = function(key, data)
    return FarCtags.Installed();
  end;
  action = function()
    return FarCtags.Execute();
  end;
}

